## gfal2 2.21.0

=== CMakeLists.txt ===
## cmake build script for srm-ifce
project (gfal2)
cmake_minimum_required (VERSION 2.6)
message ("cmake source dir : ${CMAKE_SOURCE_DIR}")

# default set of options
set (MAIN_CORE      TRUE CACHE STRING "enable compilation of the main library")
set (MAIN_TRANSFER  TRUE CACHE STRING "enable compilation of the transfer library")
set (PLUGIN_LFC     TRUE CACHE STRING "enable compilation of the lfc plugin")
set (PLUGIN_SFTP    TRUE CACHE STRING "enable compilation of the sftp plugin")
set (PLUGIN_SRM     TRUE CACHE STRING "enable compilation of the srm plugin")
set (PLUGIN_RFIO    TRUE CACHE STRING "enable compilation of the RFIO plugin")
set (PLUGIN_DCAP    TRUE CACHE STRING "enable compilation of the DCAP plugin")
set (PLUGIN_FILE    TRUE CACHE STRING "enable compilation of the local File plugin")
set (PLUGIN_GRIDFTP TRUE CACHE STRING "enable compilation of the GRIDFTP plugin")
set (PLUGIN_HTTP    TRUE CACHE STRING "enable compilation of the HTTP plugin")
set (PLUGIN_XROOTD  TRUE CACHE STRING "enable compilation of the XROOTD plugin")
set (PLUGIN_MOCK    FALSE CACHE STRING "enable compilation of the MOCK plugin")

# build type
set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "type of build")

set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

# load modules
include(DefineInstallationPaths REQUIRED)
include(MacroCopyFile REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)
include(CMakeGeneratePkgConfig REQUIRED)
include(MacroAddDoxygen REQUIRED)
include(CMakeCXX11Support REQUIRED)

# Enable C++11 support
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_FLAG_ENABLE}")

# enable testing
include (CTest)

#define PROJECT vars
set (PROJECT_NAME_MAIN "gfal2")
set (OUTPUT_NAME_MAIN "gfal2")

set (PROJECT_NAME_TRANSFER "gfal_transfer")
set (OUTPUT_NAME_TRANSFER "gfal_transfer")

set (VERSION_MAJOR  2)
set (VERSION_MINOR  21)
set (VERSION_PATCH  0)
set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

add_definitions(-DVERSION="${VERSION_STRING}")

# out of project test compilation
set (ONLY_TESTS FALSE CACHE STRING "build only the tests")
set (SKIP_TESTS FALSE CACHE STRING "skip the tests")

# libs checks
find_package (GLIB2 REQUIRED)
find_package (GTHREAD2 REQUIRED)
find_package (JSONC REQUIRED)

# include directories
include_directories (${GLIB2_INCLUDE_DIRS})
include_directories (${GTHREAD2_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/src/core)
include_directories (${CMAKE_SOURCE_DIR}/src/utils)

# Core and plugins
if (NOT ONLY_TESTS)

    # general parameters for configuration
    add_definitions ( -DGFAL_PLUGIN_DIR_DEFAULT="${PLUGIN_INSTALL_DIR}" )
    add_definitions ( -DGFAL_CONFIG_DIR_DEFAULT="${SYSCONF_INSTALL_DIR}" )
    # add file offset 64 for 32 bits
    add_definitions ( -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE)

    #install doc license
    install (FILES "LICENSE" "README.md" "RELEASE-NOTES" "DESCRIPTION" "readme.html"
			 DESTINATION ${DOC_INSTALL_DIR})

    # install global configuration files
    list (APPEND lst_conf_files
        "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/gfal2_core.conf"
        "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/bdii.conf"
        "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/x509.conf")
    install (FILES ${lst_conf_files}
             DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

    add_subdirectory (doc)
    add_subdirectory (src)

endif (NOT ONLY_TESTS)

if (NOT SKIP_TESTS)
    add_subdirectory (test)
endif (NOT SKIP_TESTS)

=== test/unit/CMakeLists.txt ===
find_package (PugiXML)

include_directories(
    "${CMAKE_SOURCE_DIR}/test"
    "${CMAKE_SOURCE_DIR}/src/posix/"
)

add_subdirectory(cancel)
add_subdirectory(config)
add_subdirectory(cred)
add_subdirectory(global)
add_subdirectory(http)
add_subdirectory(mds)
add_subdirectory(transfer)
add_subdirectory(uri)

if (PUGIXML_FOUND)
set (TEST_MDS ./mds/test_mds.cpp)
else (PUGIXML_FOUND)
set (TEST_MDS "")
endif (PUGIXML_FOUND)

add_executable(gfal2-unit-tests
    ./cancel/cancel_tests.cpp
    ./config/config_test.cpp
    ./cred/test_cred.cpp
    ./global/global_test.cpp
    ${TEST_MDS}
    ./transfer/tests_callbacks.cpp
    ./transfer/tests_params.cpp
    ./uri/test_uri.cpp
    ./uri/test_parsing.cpp
)

target_include_directories(gfal2-unit-tests PRIVATE
    ${CMAKE_SOURCE_DIR}/test
    ${PROJECT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(gfal2-unit-tests
    ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} gfal2_test_shared
)

install(TARGETS gfal2-unit-tests
  DESTINATION ${BIN_INSTALL_DIR}/)

add_test(unit-tests gfal2-unit-tests)

=== src/plugins/http/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_HTTP)
    include     (CheckLibraryExists)

    find_package(Davix REQUIRED)

    # Includes
    include_directories (${CMAKE_CURRENT_BINARY_DIR})
    include_directories(${DAVIX_INCLUDE_DIR})
    include_directories(${JSONC_INCLUDE_DIRS})

    # definitions
    add_definitions (${DAVIX_CFLAGS})

    # Build plugin
    file (GLOB src_http "gfal_http_*.cpp")
    add_library (plugin_http MODULE ${src_http})

    target_link_libraries(plugin_http gfal2
          gfal2_transfer
          ${DAVIX_LIBRARIES}
	  ${JSONC_LIBRARIES}
    )

    set_target_properties(plugin_http   PROPERTIES  CLEAN_DIRECT_OUTPUT 1
                                        OUTPUT_NAME "gfal_plugin_http"
                                        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    # Install
    install(TARGETS plugin_http
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})
    install(FILES "README_PLUGIN_HTTP"
            DESTINATION ${DOC_INSTALL_DIR})

    # install http configuration files
    LIST(APPEND http_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/http_plugin.conf")
    install(FILES ${http_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_HTTP)

=== test/unit/http/CMakeLists.txt ===
add_executable(gfal2_token_map_test "test_token_map.cpp")
add_executable(gfal2_streaming_option_test "test_streaming_option.cpp")

find_package(Davix REQUIRED)
find_package(JSONC REQUIRED)

file(GLOB src_http "${CMAKE_SOURCE_DIR}/src/plugins/http/gfal_http_*.cpp")
add_library(test_plugin_http STATIC ${src_http})

target_link_libraries(test_plugin_http
  gfal2
  ${DAVIX_LIBRARIES}
  ${JSONC_LIBRARIES})

set(test_plugin_http_link_libraries
  ${GFAL2_LIBRARIES}
  ${GTEST_LIBRARIES}
  ${GTEST_MAIN_LIBRARIES}
  gfal2_test_shared
  ${DAVIX_LIBRARIES}
  test_plugin_http)

target_include_directories(test_plugin_http PRIVATE
  ${DAVIX_INCLUDE_DIR}
  ${JSONC_INCLUDE_DIRS})

target_link_libraries(gfal2_token_map_test
  ${test_plugin_http_link_libraries})

target_include_directories(gfal2_token_map_test PRIVATE
  ${DAVIX_INCLUDE_DIR})

target_link_libraries(gfal2_streaming_option_test
  ${test_plugin_http_link_libraries})

target_include_directories(gfal2_streaming_option_test PRIVATE
  ${DAVIX_INCLUDE_DIR})

add_test(gfal2_token_map_test gfal2_token_map_test)
add_test(gfal2_streaming_option_test gfal2_streaming_option_test)

=== debian/changelog ===
gfal2 (2.21.0-1) unstable; urgency=medium

  * New upstream release 2.21.0
  * Make doxygen Build-Depends-Indep

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Jul 2022 11:31:45 +0200

gfal2 (2.20.5-1) unstable; urgency=medium

  * New upstream release 2.20.5
  * Drop patches accepted upstream
    - gfal2-define-ENODATA-if-not-defined.patch
    - gfal2-define-ENOSR-if-not-defined.patch
    - gfal2-do-not-hardcode-error-numbers.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 05 Mar 2022 05:47:05 +0100

=== debian/control ===
Source: gfal2
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 cmake,
 libattr1-dev [kfreebsd-any],
 libglib2.0-dev,
 libjson-c-dev,
 libldap2-dev,
 libpugixml-dev,
 uuid-dev,
 zlib1g-dev,
 srm-ifce-dev (>= 1.23.1),
 dcap-dev,
 libglobus-gass-copy-dev,
 davix-dev (>= 0.8.2),
 libxrootd-client-dev,
 libssh2-1-dev,
 pkg-config,
 libgtest-dev (>= 1.8.0-7)
Build-Depends-Indep:
 doxygen
Standards-Version: 4.6.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/gfal2
Vcs-Git: https://salsa.debian.org/ellert/gfal2.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/gfal2/gfal2.html

Package: gfal2
Architecture: all
Multi-Arch: foreign
Depends:
 libgfal2-2,
 libgfal-transfer2,
 ${misc:Depends}
Recommends:
 gfal2-plugin-file,
 gfal2-plugin-dcap,
 gfal2-plugin-srm,
 gfal2-plugin-gridftp,
 gfal2-plugin-http,
 gfal2-plugin-xrootd,
 gfal2-plugin-sftp
Description: Grid file access library 2.0
 GFAL 2.0 offers a single and simple POSIX-like API for the file
 operations in grids and cloud environments. The set of supported
 protocols depends on the gfal2 installed plugins.

Package: libgfal2-2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Core of the grid file access library 2.0
 The main library of gfal2. The gfal protocol support relies on a
 plugin system.

Package: libgfal-transfer2
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: File Transfer logic of gfal2
 gfal-transfer is the high level API for file transfer operations in
 gfal2. It supports third-party copy.

Package: libgfal2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 libattr1-dev [kfreebsd-any],
 libglib2.0-dev,
 ${misc:Depends}
Description: Development files of gfal2
 Development files for gfal2.

Package: gfal2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Documentation for gfal2
 Documentation, doxygen and examples of gfal2.

Package: gfal2-plugin-file
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides file support for gfal2
 Provides the file support (file://) for gfal2. The file plugin
 provides local file operations, as copying from local to remote or
 the other way around.

Package: gfal2-plugin-dcap
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 dcap-tunnel-gsi,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides dcap support for gfal2
 Provides the dcap support (gsidcap://, dcap://) for gfal2. The dcap
 plugin provides the POSIX operations for the dcap URLs, the dcap
 protocol is used on the DCACHE storage system.

Package: gfal2-plugin-srm
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 libgfal-srm-ifce1 (>= 1.23.1),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides srm support for gfal2
 Provides the srm support (srm://) for gfal2. The srm plugin provides
 the POSIX operations and the third party transfer support on the SRM
 URLs.

Package: gfal2-plugin-gridftp
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides the gridftp support for gfal2
 Provides the gridftp support (gsiftp://) for gfal2. The gridftp plugin
 provides the POSIX operations and the third party transfer support on
 the GSIFTP URLs.

Package: gfal2-plugin-http
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides HTTP and DAV support for gfal2
 Provides the HTTP (http[s]://) and WebDAV (dav[s]://) support for
 gfal2. This plugin is able to do third-party copy with WebDAV if the
 storage supports it.

Package: gfal2-plugin-xrootd
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides xrootd support for gfal2
 Provides the xrootd (root://) support for gfal2.

Package: gfal2-plugin-sftp
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides sftp support for gfal2
 Provides the sftp (sftp://) support for gfal2.

Package: gfal2-plugin-mock
Architecture: any
Multi-Arch: same
Depends:
 libgfal2-2 (= ${binary:Version}),
 libgfal-transfer2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Provides a mock dummy protocol for gfal2
 Provides a dummy mock:// protocol for gfal2.

## gfal2 2.21.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  21)
-set (VERSION_PATCH  0)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.21.1-1) unstable; urgency=medium

  * New upstream release 2.21.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Oct 2022 16:14:21 +0200

## gfal2 2.21.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  21)
-set (VERSION_PATCH  1)
+set (VERSION_PATCH  2)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.21.2-1) unstable; urgency=medium

  * New upstream release 2.21.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Dec 2022 15:25:44 +0100

## gfal2 2.21.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  21)
-set (VERSION_PATCH  2)
+set (VERSION_PATCH  3)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== packaging/Makefile ===
NAME=gfal2
SPEC=rpm/$(NAME).spec
VERSION=${shell grep '^Version:' $(SPEC) | awk '{print $$2}' }
# Leave blank. To be overriden by CI tools.
RELEASE=

CWD=${shell pwd}

RPMBUILD=/tmp/rpmbuild
SRPMS=$(CWD)
RPMS=$(CWD)/out

MOCK_CHROOT=epel-7-x86_64
MOCK_FLAGS=--verbose


RPMDEFINES_SRC=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir $(CWD)' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS)' \
	--define='_rpmdir $(RPMS)' \
    --define "_source_filedigest_algorithm md5" \
    $(RPMBUILD_SRC_EXTRA_FLAGS)

RPMDEFINES_BIN=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir %{_topdir}/SOURCES' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS).' \
	--define='_rpmdir $(RPMS)' \
    --define "_binary_filedigest_algorithm md5" \
    $(RPMBUILD_BIN_EXTRA_FLAGS)


PBUILDER_FLAGS=
PBUILDER_TMP="/tmp/"


all: srpm

clean:
	rm -fv *.tar
	rm -fv *.tar.gz
	rm -fv *.rpm
	rm -fv *.log
	rm -rfv out
	rm -fv *.deb
	rm -fv *.gz
	rm -fv *.dsc
	rm -fv *.changes
	rm -rfv "$(RPMBUILD)"

dist: clean
	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude="ci/repo" --exclude=".git*" --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..

$(RPMBUILD):
	mkdir -p "$(RPMBUILD)"

override_release: $(SPEC)
	$(if $(RELEASE), sed -i "s/Release:.*/Release: $(RELEASE)%{?dist}/g" "$(SPEC)")

srpm: dist $(SPEC) $(RPMBUILD) override_release
	/usr/bin/rpmbuild --nodeps -bs $(RPMDEFINES_SRC) $(SPEC)

rpm: srpm
	/usr/bin/rpmbuild --rebuild $(RPMDEFINES_BIN) $(NAME)-$(VERSION)-*.src.rpm

mock: srpm
	/usr/bin/mock $(MOCK_FLAGS) -r $(MOCK_CHROOT) $(NAME)-$(VERSION)-*.src.rpm

deb-src: dist
	rm -rf "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	tar xzf "$(NAME)-$(VERSION).tar.gz" -C "$(PBUILDER_TMP)"
	cp -rv debian "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	$(if $(RELEASE), sed -ri "s/($(NAME) )\((([0-9]+\.)+[0-9]+)-[0-9]+\)/\\1(\\2-$(RELEASE))/g" "$(PBUILDER_TMP)/$(NAME)-$(VERSION)/debian/changelog")
	cp -f "$(NAME)-$(VERSION).tar.gz" "$(PBUILDER_TMP)/$(NAME)_$(VERSION).orig.tar.gz" 
	cd "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"; \
		debuild -us -uc -S
	mv $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.gz .
	mv $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.dsc .

deb: deb-src
	pbuilder build $(PBUILDER_FLAGS) $(NAME)_$(VERSION)*.dsc

=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,30 @@
 set (TEST_MDS "")
 endif (PUGIXML_FOUND)
 
+if (PLUGIN_HTTP)
+    set(TEST_TOKEN_MAP ./http/test_token_map.cpp)
+    set(TEST_CUSTOM_HTTP_OPTIONS http/test_custom_http_options.cpp)
+    set(HTTP_PLUGIN_LIBRARIES  plugin_http_static)
+
+    include     (CheckLibraryExists)
+    find_package(Davix REQUIRED)
+
+    # Includes
+    include_directories(${DAVIX_INCLUDE_DIR})
+
+else(PLUGIN_HTTP)
+    set(TEST_TOKEN_MAP "")
+    set(TEST_CUSTOM_HTTP_OPTIONS "")
+    set(HTTP_PLUGIN_LIBRARIES "")
+endif (PLUGIN_HTTP)
+
 add_executable(gfal2-unit-tests
     ./cancel/cancel_tests.cpp
     ./config/config_test.cpp
     ./cred/test_cred.cpp
     ./global/global_test.cpp
+    ${TEST_TOKEN_MAP}
+    ${TEST_CUSTOM_HTTP_OPTIONS}
     ${TEST_MDS}
     ./transfer/tests_callbacks.cpp
     ./transfer/tests_params.cpp
@@ -39,7 +58,7 @@
 )
 
 target_link_libraries(gfal2-unit-tests
-    ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} gfal2_test_shared
+    ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} gfal2_test_shared ${HTTP_PLUGIN_LIBRARIES}
 )
 
 install(TARGETS gfal2-unit-tests

=== src/plugins/http/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,19 @@
     # Build plugin
     file (GLOB src_http "gfal_http_*.cpp")
     add_library (plugin_http MODULE ${src_http})
+    add_library (plugin_http_static STATIC ${src_http})
 
     target_link_libraries(plugin_http gfal2
           gfal2_transfer
           ${DAVIX_LIBRARIES}
 	  ${JSONC_LIBRARIES}
     )
+
+    target_link_libraries(plugin_http_static gfal2
+            gfal2_transfer
+            ${DAVIX_LIBRARIES}
+            ${JSONC_LIBRARIES}
+            )
 
     set_target_properties(plugin_http   PROPERTIES  CLEAN_DIRECT_OUTPUT 1
                                         OUTPUT_NAME "gfal_plugin_http"

=== src/plugins/xrootd/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

if (PLUGIN_XROOTD)

    find_package(XROOTD REQUIRED)

    include_directories(
        ${XROOTD_INCLUDE_DIR}
        ${JSONC_INCLUDE_DIRS}
        ${UUID_INCLUDE_DIRS}
    )

    file (GLOB src_xrootd "*.cpp")

    add_library (plugin_xrootd MODULE ${src_xrootd})
    add_library (plugin_xrootd_static STATIC ${src_xrootd})

    target_link_libraries (plugin_xrootd
        ${GFAL2_PKG_LIBRARIES}
        gfal2_transfer
        ${XROOTD_LIBRARIES}
        ${JSONC_LIBRARIES}
        ${UUID_LIBRARIES}
    )
    target_link_libraries(plugin_xrootd_static
        ${GFAL2_PKG_LIBRARIES}
        gfal2_transfer
        ${XROOTD_LIBRARIES}
        ${JSONC_LIBRARIES}
        ${UUID_LIBRARIES}
    )

    set_target_properties(plugin_xrootd PROPERTIES
                          CLEAN_DIRECT_OUTPUT 1
                          OUTPUT_NAME "gfal_plugin_xrootd"
                          LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS plugin_xrootd
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

    # install xrootd configuration files
    list (APPEND xrootd_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/xrootd_plugin.conf")
    install(FILES ${xrootd_conf_file}
            DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

    # readme
    install(FILES "README_PLUGIN_XROOTD"
            DESTINATION ${DOC_INSTALL_DIR})

endif ()

=== test/unit/http/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 add_executable(gfal2_token_map_test "test_token_map.cpp")
-add_executable(gfal2_streaming_option_test "test_streaming_option.cpp")
+add_executable(gfal2_custom_http_options_test "test_custom_http_options.cpp")
 
 find_package(Davix REQUIRED)
 find_package(JSONC REQUIRED)
@@ -30,11 +30,11 @@
 target_include_directories(gfal2_token_map_test PRIVATE
   ${DAVIX_INCLUDE_DIR})
 
-target_link_libraries(gfal2_streaming_option_test
+target_link_libraries(gfal2_custom_http_options_test
   ${test_plugin_http_link_libraries})
 
-target_include_directories(gfal2_streaming_option_test PRIVATE
+target_include_directories(gfal2_custom_http_options_test PRIVATE
   ${DAVIX_INCLUDE_DIR})
 
 add_test(gfal2_token_map_test gfal2_token_map_test)
-add_test(gfal2_streaming_option_test gfal2_streaming_option_test)
+add_test(gfal2_custom_http_options_test gfal2_custom_http_options_test)

=== debian/changelog ===
gfal2 (2.21.3-1) unstable; urgency=medium

  * New upstream release 2.21.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Feb 2023 04:15:21 +0100

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
  srm-ifce-dev (>= 1.23.1),
  dcap-dev,
  libglobus-gass-copy-dev,
- davix-dev (>= 0.8.2),
+ davix-dev (>= 0.8.4),
  libxrootd-client-dev,
  libssh2-1-dev,
  pkg-config,
  libgtest-dev (>= 1.8.0-7)
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git

## gfal2 2.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  21)
-set (VERSION_PATCH  3)
+set (VERSION_PATCH  4)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== test/unit/http/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
 target_link_libraries(test_plugin_http
   gfal2
   ${DAVIX_LIBRARIES}
-  ${JSONC_LIBRARIES})
+  ${JSONC_LIBRARIES}
+  ${CRYPTOPP_LIBRARIES})
 
 set(test_plugin_http_link_libraries
   ${GFAL2_LIBRARIES}
@@ -18,6 +19,7 @@
   ${GTEST_MAIN_LIBRARIES}
   gfal2_test_shared
   ${DAVIX_LIBRARIES}
+  ${CRYPTOPP_LIBRARIES}
   test_plugin_http)
 
 target_include_directories(test_plugin_http PRIVATE

## gfal2 2.21.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  21)
-set (VERSION_PATCH  4)
+set (VERSION_PATCH  5)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.21.5-1) unstable; urgency=medium

  * New upstream release 2.21.5

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 28 Jul 2023 07:03:40 +0200

gfal2 (2.21.4-1) unstable; urgency=medium

  * New upstream release 2.21.4
  * Add new build dependency libcrypto++-dev

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 15 Jun 2023 11:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  dcap-dev,
  libglobus-gass-copy-dev,
  davix-dev (>= 0.8.4),
+ libcrypto++-dev (>= 5.6.2),
  libxrootd-client-dev,
  libssh2-1-dev,
  pkg-config,

## gfal2 2.22.0

=== debian/changelog ===
gfal2 (2.22.0-1) unstable; urgency=medium

  * New upstream release 2.22.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 18 Oct 2023 17:13:06 +0200

## gfal2 2.22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 set (OUTPUT_NAME_TRANSFER "gfal_transfer")
 
 set (VERSION_MAJOR  2)
-set (VERSION_MINOR  21)
-set (VERSION_PATCH  5)
+set (VERSION_MINOR  22)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== doc/CMakeLists.txt ===

SET(MAIN_DOC TRUE
	CACHE STRING "enable installation of the main library documentation")

IF(MAIN_DOC)

	file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/build/html/")
	addDoxyGeneration("Doxyfile.in")

	install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/build/html/"
			DESTINATION ${DOC_INSTALL_DIR}/html/)

	install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/examples/"
			DESTINATION ${DOC_INSTALL_DIR}/examples)

ENDIF(MAIN_DOC)



install(FILES "man/gfal2_version.1"
		DESTINATION ${MAN_INSTALL_DIR}/man1/) # install examples

=== test/CMakeLists.txt ===

set (UNIT_TESTS       FALSE CACHE STRING "enable compilation of unit tests")
set (FUNCTIONAL_TESTS FALSE CACHE STRING "functional tests for gfal ")
set (STRESS_TESTS     FALSE CACHE STRING "stress tests for gfal ")

include_directories (${CMAKE_SOURCE_DIR}/src)

if (ONLY_TESTS)
    find_package (GFAL2 REQUIRED)
    include_directories (${GFAL2_INCLUDE_DIRS})
else (ONLY_TESTS)
    set(GFAL2_LIBRARIES gfal2 gfal2_transfer)
endif (ONLY_TESTS)

find_package(GTEST)
include_directories(${GTEST_INCLUDE_DIR})

execute_process(COMMAND cmake -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/conf_test  ${CMAKE_CURRENT_BINARY_DIR}/conf_test)

# Common methods for the tests
add_subdirectory(common)

# Tests
if (UNIT_TESTS)
    add_subdirectory(unit)
endif (UNIT_TESTS)

if (FUNCTIONAL_TESTS)
    add_subdirectory(functional)
endif (FUNCTIONAL_TESTS)

if (STRESS_TESTS)
    add_subdirectory(stress-test)
endif (STRESS_TESTS)

=== test/common/CMakeLists.txt ===
add_library(gfal2_test_shared SHARED gfal_lib_test.c gfal_gtest_asserts.cpp)
target_link_libraries (gfal2_test_shared ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${JSONC_LIBRARIES})

if (FUNCTIONAL_TESTS OR UNIT_TESTS)
    install (TARGETS gfal2_test_shared LIBRARY
        DESTINATION ${LIB_INSTALL_DIR})
endif ()

=== src/plugins/http/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,13 @@
     include     (CheckLibraryExists)
 
     find_package(Davix REQUIRED)
+    find_package(Cryptopp REQUIRED)
 
     # Includes
     include_directories (${CMAKE_CURRENT_BINARY_DIR})
     include_directories(${DAVIX_INCLUDE_DIR})
     include_directories(${JSONC_INCLUDE_DIRS})
+    include_directories(${CRYPTOPP_INCLUDE_DIRS})
 
     # definitions
     add_definitions (${DAVIX_CFLAGS})
@@ -22,13 +24,15 @@
     target_link_libraries(plugin_http gfal2
           gfal2_transfer
           ${DAVIX_LIBRARIES}
-	  ${JSONC_LIBRARIES}
+          ${JSONC_LIBRARIES}
+          ${CRYPTOPP_LIBRARIES}
     )
 
     target_link_libraries(plugin_http_static gfal2
             gfal2_transfer
             ${DAVIX_LIBRARIES}
             ${JSONC_LIBRARIES}
+            ${CRYPTOPP_LIBRARIES}
             )
 
     set_target_properties(plugin_http   PROPERTIES  CLEAN_DIRECT_OUTPUT 1

=== test/unit/config/CMakeLists.txt ===

add_executable(config_test "config_test.cpp")

target_link_libraries(config_test
    ${GFAL2_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    gfal2_test_shared
)

add_test(config_test config_test)

=== test/unit/transfer/CMakeLists.txt ===
if (MAIN_TRANSFER)

    add_executable (unit_test_transfer_params_exe
        tests_params.cpp
    )
    target_link_libraries(unit_test_transfer_params_exe
        ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} m
    )

    add_executable (unit_test_transfer_callbacks_exe
        tests_callbacks.cpp
    )
    target_link_libraries(unit_test_transfer_callbacks_exe
        ${GFAL2_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_MAIN_LIBRARIES} m
    )

    add_test(unit_test_transfer_params unit_test_transfer_params_exe)

    add_test(unit_test_transfer_callbacks unit_test_transfer_callbacks_exe)

endif  (MAIN_TRANSFER)

=== debian/changelog ===
gfal2 (2.22.1-1.1ubuntu3) noble; urgency=high

  * No change rebuild against libdcap1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:41 +0200

gfal2 (2.22.1-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:42:43 +0000

gfal2 (2.22.1-1.1ubuntu1) noble; urgency=medium

  * Remove hard-coded dependency on libgfal-srm-ifce1.

 -- dann frazier <dannf@ubuntu.com>  Sat, 23 Mar 2024 22:40:59 -0600

gfal2 (2.22.1-1.1build2) noble; urgency=high

  * No change rebuild against libgfal-srm-ifce1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:20:52 +0100

gfal2 (2.22.1-1.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:40:20 +0000

gfal2 (2.22.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062109

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:33:04 +0000

gfal2 (2.22.1-1) unstable; urgency=medium

  * New upstream release 2.22.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 14:39:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gfal2
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends:
- debhelper (>= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  cmake,
  libattr1-dev [kfreebsd-any],
  libglib2.0-dev,
@@ -32,8 +33,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- libgfal2-2,
- libgfal-transfer2,
+ libgfal2-2t64,
+ libgfal-transfer2t64,
  ${misc:Depends}
 Recommends:
  gfal2-plugin-file,
@@ -48,7 +49,10 @@
  operations in grids and cloud environments. The set of supported
  protocols depends on the gfal2 installed plugins.
 
-Package: libgfal2-2
+Package: libgfal2-2t64
+Provides: ${t64:Provides}
+Replaces: libgfal2-2
+Breaks: libgfal2-2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -59,12 +63,15 @@
  The main library of gfal2. The gfal protocol support relies on a
  plugin system.
 
-Package: libgfal-transfer2
+Package: libgfal-transfer2t64
+Provides: ${t64:Provides}
+Replaces: libgfal-transfer2
+Breaks: libgfal-transfer2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: File Transfer logic of gfal2
@@ -76,8 +83,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  libattr1-dev [kfreebsd-any],
  libglib2.0-dev,
  ${misc:Depends}
@@ -97,7 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides file support for gfal2
@@ -109,7 +116,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
  dcap-tunnel-gsi,
  ${shlibs:Depends},
  ${misc:Depends}
@@ -122,9 +129,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
- libgfal-srm-ifce1 (>= 1.23.1),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides srm support for gfal2
@@ -136,8 +142,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides the gridftp support for gfal2
@@ -149,8 +155,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides HTTP and DAV support for gfal2
@@ -162,8 +168,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides xrootd support for gfal2
@@ -173,8 +179,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides sftp support for gfal2
@@ -184,8 +190,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides a mock dummy protocol for gfal2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	   -DSYSCONF_INSTALL_DIR:PATH=/etc \
	   -DLIB_SUFFIX:PATH="/$(DEB_HOST_MULTIARCH)" \
	   -DUNIT_TESTS:BOOL=TRUE \
	   -DPLUGIN_MOCK:BOOL=TRUE \
	   -DPLUGIN_LFC:BOOL=FALSE \
	   -DPLUGIN_RFIO:BOOL=FALSE

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_auto_install:
	dh_auto_install
	# Remove
	rm debian/tmp/usr/share/doc/gfal2/LICENSE
	rm debian/tmp/usr/share/doc/gfal2/readme.html
	rm debian/tmp/usr/bin/gfal2-unit-tests
	rm debian/tmp/usr/lib/*/libgfal2_test_shared.so
	# Replace with a script for multi-arch
	printf '#!/bin/sh\necho ' > debian/tmp/usr/bin/gfal2_version.sh
	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH):$${LD_LIBRARY_PATH} \
	   debian/tmp/usr/bin/gfal2_version >> \
	   debian/tmp/usr/bin/gfal2_version.sh
	mv debian/tmp/usr/bin/gfal2_version.sh \
	   debian/tmp/usr/bin/gfal2_version

override_dh_auto_test:
	objdir=obj-$(DEB_HOST_GNU_TYPE) ; \
	export GFAL_PLUGIN_DIR=$(CURDIR)/$${objdir}/plugins ; \
	export GFAL_CONFIG_DIR=$(CURDIR)/$${objdir}/test/conf_test ; \
	dh_auto_test -- "ARGS+=-V"

## gfal2 2.22.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  22)
-set (VERSION_PATCH  1)
+set (VERSION_PATCH  2)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2 (2.22.2-2) unstable; urgency=medium

  * Drop hardcoded library dependency on libgfal-srm-ifce1 (Closes: #1067583)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 28 Mar 2024 21:55:19 +0100

gfal2 (2.22.2-1) unstable; urgency=medium

  * New upstream release 2.22.2
  * Fixes for 64 bit time_t on 32 bit systems

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Mar 2024 17:00:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gfal2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  cmake,
  libattr1-dev [kfreebsd-any],
  libglib2.0-dev,
@@ -19,7 +19,7 @@
  libcrypto++-dev (>= 5.6.2),
  libxrootd-client-dev,
  libssh2-1-dev,
- pkg-config,
+ pkgconf,
  libgtest-dev (>= 1.8.0-7)
 Build-Depends-Indep:
  doxygen

## gfal2 2.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,16 +6,17 @@
 # default set of options
 set (MAIN_CORE      TRUE CACHE STRING "enable compilation of the main library")
 set (MAIN_TRANSFER  TRUE CACHE STRING "enable compilation of the transfer library")
-set (PLUGIN_LFC     TRUE CACHE STRING "enable compilation of the lfc plugin")
 set (PLUGIN_SFTP    TRUE CACHE STRING "enable compilation of the sftp plugin")
 set (PLUGIN_SRM     TRUE CACHE STRING "enable compilation of the srm plugin")
-set (PLUGIN_RFIO    TRUE CACHE STRING "enable compilation of the RFIO plugin")
 set (PLUGIN_DCAP    TRUE CACHE STRING "enable compilation of the DCAP plugin")
 set (PLUGIN_FILE    TRUE CACHE STRING "enable compilation of the local File plugin")
 set (PLUGIN_GRIDFTP TRUE CACHE STRING "enable compilation of the GRIDFTP plugin")
 set (PLUGIN_HTTP    TRUE CACHE STRING "enable compilation of the HTTP plugin")
 set (PLUGIN_XROOTD  TRUE CACHE STRING "enable compilation of the XROOTD plugin")
 set (PLUGIN_MOCK    FALSE CACHE STRING "enable compilation of the MOCK plugin")
+# Deprecated / unsupported protocols after CC7
+set (PLUGIN_LFC     FALSE CACHE STRING "enable compilation of the lfc plugin")
+set (PLUGIN_RFIO    FALSE CACHE STRING "enable compilation of the RFIO plugin")
 
 # build type
 set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "type of build")
@@ -44,8 +45,8 @@
 set (OUTPUT_NAME_TRANSFER "gfal_transfer")
 
 set (VERSION_MAJOR  2)
-set (VERSION_MINOR  22)
-set (VERSION_PATCH  2)
+set (VERSION_MINOR  23)
+set (VERSION_PATCH  0)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== test/stress-test/CMakeLists.txt ===
FILE(GLOB src_loadtest "gfalt_copyfile_fts_style_load_test.c")

IF (STRESS_TESTS)

        include_directories( "${CMAKE_SOURCE_DIR}/src "  "${CMAKE_SOURCE_DIR}/src/posix/"
                    ${GLIB2_PKG_INCLUDE_DIRS} ${NETTLE_PKG_INCLUDE_DIRS} )

        add_executable(fts_seq_copy_files	${src_loadtest})
        target_link_libraries(fts_seq_copy_files ${GFAL2_TRANSFER_LINK} ${GFAL2_LINK} gfal2_test_shared)

ENDIF  (STRESS_TESTS)

=== debian/changelog ===
gfal2 (2.23.0-1) unstable; urgency=medium

  * New upstream release 2.23.0
  * Drop 64 bit time_t patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 10:00:25 +0200

## gfal2 2.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  23)
-set (VERSION_PATCH  0)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")

=== doc/examples/Makefile ===
# Makefile for all the examples

all_examples:=$(shell find -iname "*.c")

CFLAGS:=$(shell pkg-config --libs --cflags gfal2) $(shell pkg-config --libs --cflags gfal_transfer) -g
OBJS=$(all_examples:%.c=%)

all: $(OBJS)

clean:
	$(RM) $(OBJS)

=== src/plugins/dcap/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_DCAP)
    file (GLOB src_dcap "*.c*")

    find_package(DCAP REQUIRED)
    include_directories(${DCAP_INCLUDE_DIR})

    add_definitions(-D_REENTRANT)
    add_definitions(${DCAP_CFLAGS})

    add_library(plugin_dcap MODULE ${src_dcap})

    target_link_libraries(plugin_dcap gfal2 ${DCAP_LIBRARIES})

    set_target_properties(plugin_dcap PROPERTIES
                            CLEAN_DIRECT_OUTPUT 1
                            OUTPUT_NAME "gfal_plugin_dcap"
                            LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS plugin_dcap
            LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

    install(FILES  "README_PLUGIN_DCAP"
            DESTINATION ${DOC_INSTALL_DIR})

    # install dcap configuration files
    LIST(APPEND dcap_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/dcap_plugin.conf")
    install(FILES ${dcap_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_DCAP)

=== src/plugins/file/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_FILE)
    file (GLOB src_file "*.c*")

    find_package (ZLIB REQUIRED)

    include_directories(${ZLIB_INCLUDE_DIRS})


    add_library (plugin_file MODULE ${src_file} ${gfal2_src_checksum})
    target_link_libraries (plugin_file gfal2 ${ZLIB_LIBRARIES})


    set_target_properties(plugin_file   PROPERTIES
                                LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/src
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "gfal_plugin_file"
								LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS		plugin_file
	        LIBRARY		DESTINATION ${PLUGIN_INSTALL_DIR} )

    install(FILES		"README_PLUGIN_FILE"
	    	DESTINATION ${DOC_INSTALL_DIR})

endif (PLUGIN_FILE)

=== src/plugins/mock/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)


if (PLUGIN_MOCK)
    file (GLOB src_file "*.c*")

    add_library (plugin_mock MODULE ${src_file})
    target_link_libraries (plugin_mock gfal2 gfal2_transfer uuid)


    set_target_properties(plugin_mock   PROPERTIES
                                LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/src
								CLEAN_DIRECT_OUTPUT 1
								OUTPUT_NAME "gfal_plugin_mock"
								LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins)

    install(TARGETS		plugin_mock
	        LIBRARY		DESTINATION ${PLUGIN_INSTALL_DIR})

    install(FILES		"README_PLUGIN_MOCK"
                DESTINATION ${DOC_INSTALL_DIR})

    # install mock configuration files
    LIST(APPEND mock_conf_file "${CMAKE_SOURCE_DIR}/dist/etc/gfal2.d/mock_plugin.conf")
    install(FILES ${mock_conf_file}
                        DESTINATION ${SYSCONF_INSTALL_DIR}/gfal2.d/)

endif (PLUGIN_MOCK)

=== test/unit/uri/CMakeLists.txt ===
add_executable(gfal2_test_uri "test_uri.cpp")

target_link_libraries(gfal2_test_uri
    ${GFAL2_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
)

add_executable(gfal2_test_parsing "test_parsing.cpp")

target_link_libraries(gfal2_test_parsing
    ${GFAL2_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
)

add_test(gfal2_test_uri gfal2_test_uri)
add_test(gfal2_test_parsing gfal2_test_parsing)

=== debian/changelog ===
gfal2 (2.23.1-1) unstable; urgency=medium

  * New upstream release 2.23.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 08 Oct 2024 10:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libgtest-dev (>= 1.8.0-7)
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git
